Bug 968032 - crashes host and guest.
crashes host and guest.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 15:57 EDT by g. artim
Modified: 2014-09-26 12:56 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-30 19:30:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description g. artim 2013-05-28 15:57:10 EDT
Description of problem:

running both the host and guest at: 3.9.2-200.fc18.x86_64 kernel

when scrolling message log on guest, both system lockup and only a hard
boot brings them back.

if I back off 
3.9.2-200.fc18.x86_64 kernel to
3.8.6-203.fc18.x86_64 kernel
works as usual.

Version-Release number of selected component (if applicable):
see above

How reproducible:
see above


Steps to Reproduce:
1. boot both host and guest to 3.9.2-200.fc18.x86_64 kernel
2. virsh into guest and scroll message log, back forth a couple times
3. (hang!)

Actual results:


Expected results:


Additional info:

can install kdump and get a dump if needed, probably a issue with either the  kvm/qemu or kernel
Comment 1 g. artim 2013-05-28 16:05:48 EDT
i just needed to back off the kernel on the HOST, not the GUEST, forgot to say...
Comment 2 Richard W.M. Jones 2013-05-28 16:22:39 EDT
Since this is Fedora, what is the output of this command?

libguestfs-test-tool
Comment 3 g. artim 2013-05-29 12:35:10 EDT
where do I find that tool? not on my system or repo's,..thanks!
Comment 4 Richard W.M. Jones 2013-05-29 13:02:05 EDT
As with any command, you can do:

  yum install /usr/bin/libguestfs-test-tool

as root.
Comment 5 g. artim 2013-05-29 14:10:26 EDT
having trouble getting it, tried kernel-modules-extra, but again not in repo...duh -- need more debug skills!

---> Package perl-IO-Socket-SSL.noarch 0:1.80-1.fc18 will be installed
--> Processing Dependency: perl(Net::SSLeay) >= 1.21 for package: perl-IO-Socket-SSL-1.80-1.fc18.noarch
--> Processing Dependency: perl(IO::Socket::IP) >= 0.11 for package: perl-IO-Socket-SSL-1.80-1.fc18.noarch
--> Processing Dependency: perl(Net::LibIDN) for package: perl-IO-Socket-SSL-1.80-1.fc18.noarch
---> Package perl-TimeDate.noarch 1:1.20-8.fc18 will be installed
--> Running transaction check
---> Package gfs2-utils.x86_64 0:3.1.5-1.fc18 will be installed
--> Processing Dependency: kernel-modules-extra for package: gfs2-utils-3.1.5-1.fc18.x86_64
---> Package perl-IO-Socket-IP.noarch 0:0.17-1.fc18 will be installed
---> Package perl-Net-LibIDN.x86_64 0:0.12-12.fc18 will be installed
---> Package perl-Net-SSLeay.x86_64 0:1.49-1.fc18 will be installed
--> Finished Dependency Resolution
Error: Package: gfs2-utils-3.1.5-1.fc18.x86_64 (fedora)
           Requires: kernel-modules-extra
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 6 Cole Robinson 2013-07-11 17:22:05 EDT
Reporter, can you still reproduce with latest F18 in host and guest? How are you starting the VM? (qemu command line, virsh, virt-manager, ...?)
Comment 7 g. artim 2013-07-11 17:28:51 EDT
(In reply to Cole Robinson from comment #6)
> Reporter, can you still reproduce with latest F18 in host and guest? How are
> you starting the VM? (qemu command line, virsh, virt-manager, ...?)

I use "virsh start g2" command

Tuesday I switched both the host and guest to fc19, kernel:
n0.....edu 3.9.9-301.fc19.x86_64  

and the machines both stay running. I'm not holding my breath, had this happen before and had to reopen...need some simple debugging help with this one to find the problem.

guest console has a lot of:
[  956.540507] serial8250_interrupt: 3 callbacks suppressed
[  956.540507] serial8250: too much work for irq4
[  956.683665] serial8250: too much work for irq4
[  956.784702] serial8250: too much work for irq4
[  956.932427] serial8250: too much work for irq4
[  957.268915] serial8250: too much work for irq4
[  957.569316] serial8250: too much work for irq4
[  959.264681] serial8250: too much work for irq4
[  959.408007] serial8250: too much work for irq4
[  959.515074] serial8250: too much work for irq4
[  959.720635] serial8250: too much work for irq4
Comment 8 Cole Robinson 2013-07-12 08:41:39 EDT
(In reply to g. artim from comment #7)
> (In reply to Cole Robinson from comment #6)
> > Reporter, can you still reproduce with latest F18 in host and guest? How are
> > you starting the VM? (qemu command line, virsh, virt-manager, ...?)
> 
> I use "virsh start g2" command
> 
> Tuesday I switched both the host and guest to fc19, kernel:
> n0.....edu 3.9.9-301.fc19.x86_64  
> 
> and the machines both stay running. I'm not holding my breath, had this
> happen before and had to reopen...need some simple debugging help with this
> one to find the problem.
> 

well, host crashers usually aren't simple debugging :)

> guest console has a lot of:
> [  956.540507] serial8250_interrupt: 3 callbacks suppressed
> [  956.540507] serial8250: too much work for irq4
> [  956.683665] serial8250: too much work for irq4
> [  956.784702] serial8250: too much work for irq4
> [  956.932427] serial8250: too much work for irq4
> [  957.268915] serial8250: too much work for irq4
> [  957.569316] serial8250: too much work for irq4
> [  959.264681] serial8250: too much work for irq4
> [  959.408007] serial8250: too much work for irq4
> [  959.515074] serial8250: too much work for irq4
> [  959.720635] serial8250: too much work for irq4

Googling this error brings up a long history of issues with VMs and serial but it doesn't seem to cause any issues besides giving the warning. Is it actually causing problems for you? If not I think we should just close this until you hit the crash again.
Comment 9 Pascal Patry 2014-09-26 12:56:01 EDT
I'm running into the same issue without even using QEMU. When using a 2.6.x kernel on an IBM x3850 M2, I can access the serial port (ttyS0) without any issue. As soon as I got on 3.10.x (to 3.14.x), I get the same error message "serial8250: too much work for irq4" and the machine hangs. There are no guests running on, it's a clean install.

I'm using this machine to configure network equipment, so not serial ports isn't that great...

Note You need to log in before you can comment on or make changes to this bug.